View Issue Details

IDProjectCategoryView StatusLast Update
0002075FreeCADBugpublic2015-12-15 13:18
ReporterSmallvilleAssigned Towmayer 
PriorityhighSeveritymajorReproducibilityrandom
Status closedResolutionfixed 
PlatformWin64OSWindowsOS Version8.1
Product Version0.15 
Target VersionFixed in Version0.16 
Summary0002075: Analysis of FreeCAD by PVS-Studio static analyzer
DescriptionDevelopment team of proprietary PVS-Studio C/C++ static analyzer presents their report on the source code of FreeCAD project in the article, which contains the review of the most suspicious code fragments they discovered.

You can read the article on the official site: http://www.viva64.com/en/b/0322/
TagsNo tags attached.

Relationships

has duplicate 0002082 closedwmayer PVS-studio warnings 

Activities

wmayer

2015-05-01 20:16

administrator   ~0006107

All reported flaws in FreeCAD's own source code are fixed now. However, code of OCC, SMESH, boost or other external stuff hasn't been touched.

Related Changesets

FreeCAD: master dd2b39dd

2015-05-01 16:56:31

wmayer

Details Diff
+ fixes 0002075: Analysis of FreeCAD by PVS-Studio static analyzer Affected Issues
0002075
mod - src/App/Application.cpp Diff File
mod - src/Base/FileInfo.cpp Diff File
mod - src/Base/MemDebug.cpp Diff File
mod - src/Base/Rotation.cpp Diff File
mod - src/Gui/BlenderNavigationStyle.cpp Diff File
mod - src/Gui/CADNavigationStyle.cpp Diff File
mod - src/Gui/TaskPanelView.cpp Diff File
mod - src/Gui/TouchpadNavigationStyle.cpp Diff File
mod - src/Gui/View3DInventorExamples.cpp Diff File
mod - src/Gui/propertyeditor/PropertyItem.cpp Diff File
mod - src/Mod/Drawing/App/CMakeLists.txt Diff File
mod - src/Mod/Drawing/Gui/CMakeLists.txt Diff File
mod - src/Mod/Fem/Gui/ViewProviderFemMesh.cpp Diff File
mod - src/Mod/Mesh/Gui/ViewProvider.cpp Diff File
mod - src/Mod/Part/App/modelRefine.cpp Diff File
mod - src/Mod/Part/Gui/TaskCheckGeometry.cpp Diff File
mod - src/Mod/Robot/App/WaypointPyImp.cpp Diff File
mod - src/Mod/Robot/Gui/ViewProviderRobotObject.cpp Diff File
mod - src/Mod/Sketcher/App/Sketch.cpp Diff File
mod - src/Mod/Sketcher/App/planegcs/Geo.h Diff File
mod - src/Mod/Spreadsheet/App/PropertySheet.cpp Diff File

Issue History

Date Modified Username Field Change
2015-04-30 13:26 Smallville New Issue
2015-05-01 15:01 wmayer Changeset attached => FreeCAD Master master dd2b39dd
2015-05-01 15:01 wmayer Assigned To => wmayer
2015-05-01 15:01 wmayer Status new => closed
2015-05-01 15:01 wmayer Resolution open => fixed
2015-05-01 15:40 wmayer Relationship added has duplicate 0002082
2015-05-01 20:16 wmayer Note Added: 0006107
2015-12-15 13:18 yorik Fixed in Version => 0.16